# Uses of Class
org.eclipse.swt.layout.RowData

Packages that use RowData
Package
Description
org.eclipse.jface.layout
Provides support for layout generation.

## Uses of RowData in org.eclipse.jface.layout

Methods in org.eclipse.jface.layout that return RowData
Modifier and Type
Method
Description
`static RowData`
RowDataFactory.`copyData(RowData data)`
Returns a copy of the given RowData
`RowData`
RowDataFactory.`create()`
Creates a new GridData instance.
Methods in org.eclipse.jface.layout with parameters of type RowData
Modifier and Type
Method
Description
`static RowData`
RowDataFactory.`copyData(RowData data)`
Returns a copy of the given RowData
`static RowDataFactory`
RowDataFactory.`createFrom(RowData data)`
Creates a new RowDataFactory that creates copies of the given RowData by default.